#!/usr/bin/python

from nilmdb.utils.printf import *
import time
import signal
import sys

# This is just for testing the process management.
def dummy(n):
    if n < 0: # raise an exception
        raise Exception("test exception")
    if n == 0: # ignore SIGTERM and count to 40
        n = 40
        signal.signal(signal.SIGTERM, signal.SIG_IGN)
    for x in range(n):
        s = sprintf("dummy %d\n", x)
        if x & 1:
            sys.stdout.write(s)
        else:
            sys.stderr.write(s)
        time.sleep(0.1)
